%undefine __libtoolize
%define scriptname /etc/rc.d/rc.firewall

Name: guarddog
Version: 2.6.0
Release: alt0.4
Group: System/Configuration/Networking
Summary: Firewall Utility
Url: http://www.simonzone.com/software/guarddog/
License: GPL

Packager: Alex Karpov <karpov@altlinux.ru>

Requires: iptables gawk coreutils sed
Source: %name-%version.tar.gz
Source1: %name-ru.po
Patch1: guarddog-2.5.0-script_place.patch

# Automatically added by buildreq on Tue May 01 2007 (-bi)
BuildRequires: gcc-c++ imake kdelibs-devel libXext-devel libXrender-devel libXt-devel libqt3-devel xorg-cf-files
#BuildPreReq: kdelibs-devel-cxx = %__gcc_version_base
Requires: kdelibs >= %{get_version kdelibs}

%description
Guarddog is user friendly firewall generation and management utility for KDE
on Linux. It allows you to simply specify which protocols should be allowed
between which groups of computers and requires no knowledge of port numbers
or packets. Built on top of ipchains and/or iptables.

%prep
%setup -q
%patch1 -p1
cp %SOURCE1 po/ru.po

subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" ./configure
subst "s/\-lkdeui/-lkdeui -lpthread/g" ./configure
#subst "s/\.la/.so/g" ./configure
#make -f admin/Makefile.common cvs

%build
export CFLAGS="%optflags" CXXFLAGS="%optflags"
./configure --prefix=%_prefix --mandir=%_mandir --libdir=%_libdir \
    --enable-final \
    --disable-static \
    --enable-shared \
    --disable-rpath
#    --with-kde-version=3

%make_build

%install
%make install DESTDIR=%buildroot

%find_lang --with-kde %name

%post
%update_menus
if [ ! -e %scriptname ]; then
  echo "#!/bin/sh" > %scriptname
  echo "# This is just a place holder rc.firewall file so that when the links" >> %scriptname
  echo "# /sbin/ifup-local and /sbin/ifdown-local have something valid to  point to." >> %scriptname
  echo "# It will be over written once the Guarddog configuration utility is used." >> %scriptname
  echo "# --Guarddog, http://www.simonzone.com/software/guarddog/" >> %scriptname
  chmod u+x %scriptname
fi
if [ ! -x /sbin/ifup-local ]; then
  ln -s %scriptname /sbin/ifup-local
else
  if [ ! -L /sbin/ifup-local ]; then
    echo "*** Warning: Could not make a link from /sbin/ifup-local to %scriptname ***"
  fi
fi
if [ ! -x /sbin/ifdown-local ]; then
  ln -s %scriptname /sbin/ifdown-local
else
  if [ ! -L /sbin/ifdown-local ]; then
    echo "*** Warning: Could not make a link from /sbin/ifdown-local to %scriptname ***"
  fi
fi

if [ ! -e /etc/ppp/ip-up.local ]; then
  echo "#!/bin/sh" > /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "# This short script just runs any firewall script located at %scriptname ." >> /etc/ppp/ip-up.local
  echo "# It will be called whenever a ppp interface comes up. Normally we would hook" >> /etc/ppp/ip-up.local
  echo "# our firewall script in via /sbin/ifup-local, but a bug in the" >> /etc/ppp/ip-up.local
  echo "# /etc/ppp/ip-up script prevents that from working. This script provides a" >> /etc/ppp/ip-up.local
  echo "# workaround." >> /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "# cheers, Guardddog http://www.simonzone.com/software/guarddog/" >> /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "[ -x %scriptname ] && %scriptname" >> /etc/ppp/ip-up.local
  chmod u+x /etc/ppp/ip-up.local
fi
if [ ! -e /etc/ppp/ip-down.local ]; then
  echo "#!/bin/sh" > /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "# This short script just runs any firewall script located at %scriptname ." >> /etc/ppp/ip-down.local
  echo "# It will be called whenever a ppp interface goes down. Normally we would hook" >> /etc/ppp/ip-down.local
  echo "# our firewall script in via /sbin/ifdown-local, but a bug in the" >> /etc/ppp/ip-down.local
  echo "# /etc/ppp/ip-down script prevents that from working. This script provides a" >> /etc/ppp/ip-down.local
  echo "# workaround." >> /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "# cheers, Guardddog http://www.simonzone.com/software/guarddog/" >> /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "[ -x %scriptname ] && %scriptname" >> /etc/ppp/ip-down.local
  chmod u+x /etc/ppp/ip-down.local
fi

%postun
%clean_menus

%files -f %name.lang
%doc README TODO AUTHORS COPYING ChangeLog
%_bindir/%name
%_datadir/apps/%name
%_datadir/sgml/protocoldb
# %doc %_docdir/HTML/en/%name
%_iconsdir/*/*/apps/guarddog.png
%_datadir/applnk/System/guarddog.desktop

%changelog
* Thu Nov 13 2008 Alex Karpov <karpov@altlinux.ru> 2.6.0-alt0.4
- rebuild with new toolchain

* Tue Sep 18 2007 Alex Karpov <karpov@altlinux.ru> 2.6.0-alt0.3
- real build for Sisyphus
  + updated and fixed russian translation

* Tue May 01 2007 Motsyo Gennadi <drool@altlinux.ru> 2.6.0-alt0.1
- test build for Sisyphus

* Tue Apr 10 2007 Motsyo Gennadi <drool@altlinux.ru> 2.6.0-alt0.M24.1
- new version

* Wed Dec 06 2006 Motsyo Gennadi <drool@altlinux.ru> 2.5.1-alt0.M24.1
- new version

* Thu Jul 13 2006 Motsyo Gennadi <drool_linux@pisem.net> 2.5.0-alt1.1.drool
- cleanup spec

* Sun Oct 02 2005 Motsyo Gennadi <drool_linux@pisem.net> 2.5.0-alt4.drool
- new version

* Sat Feb 12 2005 Motsyo Gennadi <drool_linux@pisem.net> 2.4.0-alt4.drool
- fix spec-file to build for Pentium4 architecture
- add %clean section

* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 2.4.0-alt1
- new version

* Thu Dec 16 2004 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt1
- new version
- remove binary from source tarball

* Mon Mar 22 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.0-alt1
- new version

* Tue Jun 10 2003 Sergey V Turchin <zerg at altlinux dot org> 2.1.4-alt1
- new version

* Mon Nov 11 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.0-alt1
- new version
- cleanup spec
- build with gcc3.2

* Wed Jan 16 2002 Igor Muratov <migor@altlinux.ru> 1.9.9-alt1
- 1.9.9 release.
- Fixed a small bug in the DHCP rules. (It was blocking lease refreshes on
  Win).
- Fixed ipchains support, looks like it's been broken for a while.
- Resetting the network subsystem now handles ipchains or iptables in
  /usr/sbin/ too.
- Added AudioGalaxy and DirectPlay (most Microsoft games), Halflife support.
- Fixed a tiny crash bug in the case where the protocol DB file can't be
  found.
- Made the source port usage info in the protocol DB tighter.
- Looks for ipchains/iptables in /usr/local/sbin too.

* Thu Nov 29 2001 Simon Edwards <simon@simonzone.com> 1.9.8-1mdk
- 1.9.8 release.
- Added proper multi-language support to the protocol DB.
- Fixed a nasty bug in the generated firewall scripts that could cause
  the machine to appear to hang at boottime.
- Fix a small design bug concerning the user defined protocols. (Accepts
  any source port now, instead of just ones in the dynamic range).
- Guarddog now looks for ipchains or iptables in /usr/sbin/.

* Fri Nov 28 2001 Igor Muratov <migor@altlinux.ru> 1.9.7-alt1
- firewall script was moved to /etc/rc.d/rc.firewall (patch)
- 1.9.7 release.
- The README file has been updated. Please read it.
- Firewall script now returns a proper exit code.
- Fixed Diablo II protocol entry. (I hope)
- Added Microsoft's "SMB over TCP" protocol to the DB.
- Added XDMCP to the DB.
- The iptables part now only accepts NEW state tracking entries that are SYN
  packets.
- Fixed a buglet where clicking 'Ok' is the firewall disabled didn't exit the
  program after reseting the network subsystem.
- Added DHCP support to the "Advanced" tab. (Thanks to Ludovic Lange for the
  patch).
- Added "Log Aborted TCP connections" option. This can detect half-open
  stealth scans. (Now every nmap scan type can be logged).
- Specifies the log level to iptables as a number. (iptables>=1.2.3 wants a
  number)
- Scripts now explictly use bash instead of just plain sh. (bash is the
  official standard linux shell anyway).
- Fixed NFS support.
- Scripts now explicitly use gawk(1) instead of just plain awk(1).
- Fixed a problem that would stop the firewall script from working properly
  for people who use a language setting other than English. (thanks to
  Ludovic Lange detecting submitting a patch for this).

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.9.6-alt2
- rebuilt with libpng.so.3

* Fri Aug 30 2001 Igor Muratov <migor@altlinux.ru> 1.9.6-alt1
- First build for ALT.
- 1.9.6 release.
- Fixed a bug that would cause Guarddog to crash if you pressed ctrl+u while
  editing an address.
- Removed use of ++ in the firewall script.
- Added the netbios port 138 stuff to the DB and rolled all the netbios
  entries into just one entry: Windows Networking.
- Renamed "Authentication" in the DB to the more accurate "ident/auth".
- Added LDAP, LDAP-SLL, SWAT, Diablo II, IPP and Nessus to the DB.
- Should handle broadcast packets better. (Your logs should not fill up with
  netbios/smb broadcasts).
- Firewall script doesn't make as many assumptions about which directories
  the unix tools live in.

* Wed Aug 29 2001 Simon Edwards <simon@simonzone.com> 1.9.5-1mdk
- Small clean ups.
- The "Advanced Protocol Help" now works.
- Fixed a nasty bug in the definition for ICQ that leaving the firewall
  wide open.
- Fixed the annoying "[: -eq: unary operator expected" buglet that some
  people were seeing.
- Fixed to work when virtual interfaces are defined.
- Now handles NIC broadcast addresses properly.
- Added code to enforce the Strong ES model (RFC 1122 section 3.3.4.2).
- Now correctly avoids trying to use DNS when there are no decent NICs
  available. (This was causing slow reboots with iptables complaining when
  it could not resolve host names).
- Added the ability to Import/Export the firewall script to the Advanced tab.
  It also has a "Description" text box for the benefit of people who want to
  juggle firewalls for several machines.
- Since adding Import/Export of firewall scripts, it has become meaningful to
  run Guarddog as a non-root user to create scripts to be used elsewhere.
  It is now possible to run Guarddog as a mere mortal with reduced
  functionality.
- Reformatted the changelog.

* Sun Aug 12 2001 Simon Edwards <simon@simonzone.com> 1.9.4-1mdk
- No long uses the konsole to run the firewall script in. Guarddog now has
  it's own window that it can run the firewall and other scripts in. When run,
  the firewall script was says what it is doing. Much friendlier.
- Gnutella and NetMeeting support added.
- Fixed a small bug that sometimes caused the same modprobe command to output
  multiple times.
- Fixed a bug that was causing configuration to get scrambled when read in.

* Thu Jul 9 2001 Simon Edwards <simon@simonzone.com> 1.9.3-1mdk
- Fixed a crash if you click to the right of the checkboxes on
  the protocol page.
- Fixed a bug that would cause Guarddog to fail to read the
  existing firewall if it doesn't contain at least one user defined zone.
- Add 'Connections' list which allows the user to select which zones the
  current zone should be connected to.
- Rearranged the GUI somewhat. It's now much better layed out and sports
  icons and symbolic hints in places.
- Added builtin help box on the protocol panel. Shows information and help
  about a given protocol.
- Also replaced a lot of input boxes in the GUI with spinboxes.

* Sat Jun 16 2001 Simon Edwards <simon@simonzone.com> 1.9.2-2mdk
- The last rpm from me had a dependancy problem. RPM saw that my opengl
  library was using the Nvidia libGLcore.so library so it thought that
  everyone should have a libGLcore.so install reguardless of which driver
  they actually use. grrrr. Why RPM thinks it should list the dependancies
  of my particular libGL.so in with the final package is beyond me. Anyway,
  This spec file is the same as the 1.9.2-1mdk one except that on my system
  I've hacked my /usr/lib/rpm/find-requires script to *never* list
  libGLcore.so. Works, but it's not a great solution. The generated RPM file
  will no longer demand a libGLcore.so...

* Thu Jun 14 2001 Simon Edwards <simon@simonzone.com> 1.9.2-1mdk
- Netfilter/iptables is now supported. The generated firewalls use either
  ipchains or iptables automatcially at run time. It also uses
  iptables state tracking modules to handle annoying things like FTP. This
  provides a *much* tighter firewall than old ipchains.
- Advanced logging also part of the new iptables support, including rate
  limited logging and even log messages to warn when rate limiting is in
  effect. Reflected in the GUI is a whole new tab pane dedicated to logging.
- The address lists now happily accept domain names instead of just IP
  addresses.
- Also fixed a nasty bug in the ipchains firewall that was causing the wrong
  zone policies to be applied to packets. We don't call these a development
  versions for nothing folks!
- The RPM creates two small scripts in /etc/ppp to make sure that the
  firewall is run when every a PPP interface goes up or down. This is a
  workaround for a bug in the PPP scripts.

* Wed May 9 2001 Simon Edwards <simon@simonzone.com> 1.9.1-1mdk
- Protocols can now be set to either Deny/Accept and now also Reject.
- It is now possible to specify user defined protocols. i.e. open/close
  specific ports.
- 'printer', 'syslog' and 'ntp' have now been added to the network protocol
  database.

* Mon Apr 14 2001 Simon Edwards <simon@simonzone.com> 1.9.0-1mdk
- The first developer release aiming at version 2.0. The 1.9.0
  and higher code is a rewrite and redesign.  Significant changes are the use
  of XML to store a database of information about network protocols. The work
  and code is also shared with Watchdog. I intend to fully document the XML
  format I've designed in the hope that others will find it useful and support
  it. Guarddog now has the concept of 'zones' which allow you to place
  different hosts and networks into groups which can then have different
  firewall policies. Router configurations are a target for 2.0, but this
  development version still doesn't support them, yet.

* Wed Jan 17 2001 Simon Edwards <simon@simonzone.com> 1.0.0-1mdk
- No real changes except for updates and additions to the documentation.

* Fri Dec 22 2000 Simon Edwards <simon@simonzone.com> 0.9.5-1mdk
- Generated firewalls now setup the kernel networking protection.
- Generated firewalls are now tighter, only opening the Local Port range
  instead of all non-privileged ports where appropriate.
- Added option to always Reject Auth requests. (This can speed up POP connections).

* Thu Nov 30 2000 Simon Edwards <simon@simonzone.com> 0.9.4-1mdk
- Small fix for ISDN users. (Thanks to Joerg Buchland).

* Tue Nov 22 2000 Simon Edwards <simon@simonzone.com> 0.9.3-1mdk
- Now requires KDE 2.
- Most of the GUI code has been rewritten for KDE 2.
- GUI has also been cleaned up somewhat.
- It also attempts to automatically identify which interface is
  being used to access the net. (Thanks to J. F. Gratton).
- Added an option to completely disable the firewall.

* Mon Sep 2 2000 Simon Edwards <simon@simonzone.com> 0.9.2-1mdk
- RealPlayer support added.
- Small changes to the GUI to fix a few layout problems. Still
  not perfect, but much better.
- Manual is much more complete now. Now has a tutorial and FAQ section.

* Sun Jul 16 2000 Simon Edwards <simon@simonzone.com> 0.9.1-2mdk
- Fixed a small bug in the menu entry to Guarddog.

* Tue Jul 11 2000 Simon Edwards <simon@simonzone.com> 0.9.1-1mdk
- 0.9.1 release.
- Packaged with RPM for Mandrake 7.1 (should also work with Redhat).
- Some display glitch fixes, still more remain, grrr.
- Should now be able to find the protocol database file ok. Sorry to those people
  who tried to get it to run from source and failed.
- Uses sane defaults for checkboxes in new firewalls.
